#### Previous topic

scipy.ndimage.minimum

#### Next topic

scipy.ndimage.standard_deviation

# scipy.ndimage.minimum_position

`scipy.ndimage.``minimum_position`(input, labels=None, index=None)

  Find the positions of the minimums of the values of an array at labels.

  Parameters:

  input : array_like

  > Array_like of values.

  labels : array_like, optional

  > An array of integers marking different regions over which the position of the minimum value of input is to be computed. labels must have the same shape as input. If labels is not specified, the location of the first minimum over the whole array is returned.

  > The labels argument only works when index is specified.

  index : array_like, optional

  > A list of region labels that are taken into account for finding the location of the minima. If index is None, the `first` minimum over all elements where labels is non-zero is returned.

  > The index argument only works when labels is specified.

  Returns:

  output : list of tuples of ints

  > Tuple of ints or list of tuples of ints that specify the location of minima of input over the regions determined by labels and whose index is in index.

  > If index or labels are not specified, a tuple of ints is returned specifying the location of the first minimal value of input.

  See also

  `label`, `minimum`, `median`, `maximum_position`, `extrema`, `sum`, `mean`, `variance`, `standard_deviation`